package main

import (
	"fmt"
	"net"
)

type Server struct {
	Conns []*Client
	Port  uint32
}

func (s *Server) Run() error {
	listener, err := net.Listen("tcp", fmt.Sprintf(":%04d", s.Port))
	if err != nil {
		return err
	}
	for {
		conn, err := listener.Accept()
		if err != nil {
			return err
		}
		c := NewClient(s, conn)
		s.Conns = append(s.Conns, c)
		c.Write("Login: ")
		c.InsertWrite("Trade Trek\r\n")
		c.InsertWrite("v1.0  Apollo@21:1/236\r\n\r\n")
	}
}
